/*
 * @(#)FtpsExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.ftp.*;
import com.jscape.inet.ftps.*;
import java.io.*;
import java.util.Enumeration;

public class FtpsExample extends FtpAdapter {
    private String hostname;
    private String username;
    private String password;
    
    public FtpsExample(String hostname, String username, String password) {
        this.hostname = hostname;
        this.username = username;
        this.password = password;
    }
    
    // print out directory listing
    public void getListing() throws FtpException {
        Ftps ftp = new Ftps(hostname,username,password);
        
        //capture Ftp related events
        ftp.addFtpListener(this);
        ftp.connect();
        
        String results = ftp.getDirListingAsString();
        System.out.println(results);
        ftp.disconnect();
    }
    
    // captures connect event
    public void connected(FtpConnectedEvent evt) {
        System.out.println("Connected to server: " + evt.getHostname());
    }
    
    // captures disconnect event
    public void disconnected(FtpDisconnectedEvent evt) {
        System.out.println("Disconnected from server: " + evt.getHostname());
    }
    
    
    public static void main(String[] args) {
        String hostname;
        String username;
        String password;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Ftp hostname (e.g. ftp.yourhost.com): ");
            hostname = reader.readLine();
            System.out.print("Enter username (e.g. anonymous): ");
            username = reader.readLine();
            System.out.print("Enter password (e.g. user@here.com): ");
            password = reader.readLine();
            FtpsExample example = new FtpsExample(hostname,username,password);
            example.getListing();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

