/*
 * @(#)SmtpHtmlExample.java
 *
 * Copyright (c) JSCAPE LLC.
 *
 * This software is the confidential and proprietary information of
 * JSCAPE. ("Confidential Information").  You shall not disclose such
 * Confidential Information and shall use it only in accordance with
 * the terms of the license agreement you entered into with JSCAPE.
 */

import com.jscape.inet.smtp.*;
import com.jscape.inet.email.*;
import com.jscape.inet.mime.MimeException;
import java.net.*;
import java.io.*;

public class SmtpHtmlExample extends SmtpAdapter {
    public void sendMessage(String hostname, String to, String from, String subject, String textbody, String htmlbody)
    throws SmtpException, MimeException, MalformedURLException {
        // create instance and add listener
        Smtp smtp = new Smtp(hostname);
        smtp.addSmtpListener(this);
        smtp.setDebug(true);
        
        // connect to mail server
        smtp.connect();
        
        // create email message
        HtmlEmailMessage email = new HtmlEmailMessage();	
        email.setTo(to);
        email.setFrom(from);
        email.setSubject(subject);
        email.setTextBody(textbody);
	email.setHtmlBody(htmlbody);
        
        // send email message
        smtp.send(email);
        
        // disconnect from server
        smtp.disconnect();
    }
    
    // capture connect event
    public void connected(SmtpConnectedEvent evt) {
        System.out.println("Connected to SMTP server: " + evt.getHostname());
    }
    
    // capture disconnect event
    public void disconnected(SmtpDisconnectedEvent evt) {
        System.out.println("Disconnected from SMTP server: " + evt.getHostname());
    }
    
    public static void main(String[] args) {
        String hostname;
        String to;
        String from;
        String subject;
        String textbody;
        String htmlbody;
        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
            System.out.print("Enter Smtp hostname (e.g. mail.domain.com): ");
            hostname = reader.readLine();
            System.out.print("Enter To address (e.g. recipient@domain.com): ");
            to = reader.readLine();
            System.out.print("Enter From address (e.g. sender@domain.com): ");
            from = reader.readLine();            
            subject = "Secure iNet Factory HTML Example";
            textbody = "Plain-text message body.";
            htmlbody = "<b>HTML message body.</b>";
            SmtpHtmlExample example = new SmtpHtmlExample();
            example.sendMessage(hostname,to,from,subject,textbody,htmlbody);
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
}

